#ifndef _LUMBERJACK_BRIDGE_H
#define _LUMBERJACK_BRIDGE_H

#include <OS.h>
#include <Message.h>

#include <string>
#include <string.h>
#include <String.h>

namespace lumberjack {

	const unsigned LOG_MESSAGE = 0x10000000;
	
	const unsigned SEVERITY_DEBUG = 0;
	const unsigned SEVERITY_INFO = 1;
	const unsigned SEVERITY_WARNING = 2;
	const unsigned SEVERITY_ERROR = 3;
	const unsigned SEVERITY_FATAL = 4;

	class logger {
		port_id dest;

	public:
		//! inits the logger 
		logger():dest(-1) {};
		
		//! returns true if the server is up	
		bool serverIsRunning() {
			return find_port("lumberjack-logging-facility") != B_NAME_NOT_FOUND;
		}
		 
	public:
		//! sends a log packet to the log manager
		void log(string app, unsigned severity, unsigned event_id, string error_class, string desc);

	};

};

#endif